Package groovy.transform.options

# Class DefaultPropertyHandler

java.lang.Object
groovy.transform.options.PropertyHandler
groovy.transform.options.DefaultPropertyHandler

    public class DefaultPropertyHandler
    extends PropertyHandler

- ## Field Summary

  ### Fields inherited from class groovy.transform.options.PropertyHandler

  `PROPERTY_OPTIONS_TYPE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultPropertyHandler()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Statement` | `createPropInit​(AbstractASTTransformation xform, AnnotationNode anno, ClassNode cNode, PropertyNode pNode, Parameter namedArgsMap)` | Create a statement that will initialize the property including any defensive copying.
  `boolean` | `validateAttributes​(AbstractASTTransformation xform, AnnotationNode anno)` |
  `boolean` | `validateProperties​(AbstractASTTransformation xform, BlockStatement body, ClassNode cNode, java.util.List<PropertyNode> props)` |

  ### Methods inherited from class groovy.transform.options.PropertyHandler

  `createPropertyHandler, createPropGetter, createPropSetter, isValidAttribute`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultPropertyHandler

    public DefaultPropertyHandler()

- ## Method Details

  - ### validateAttributes

    public boolean validateAttributes​(AbstractASTTransformation xform, AnnotationNode anno)
    Specified by:
      `validateAttributes` in class `PropertyHandler`

  - ### validateProperties

    public boolean validateProperties​(AbstractASTTransformation xform, BlockStatement body, ClassNode cNode, java.util.List<PropertyNode> props)
    Overrides:
      `validateProperties` in class `PropertyHandler`

  - ### createPropInit

    public Statement createPropInit​(AbstractASTTransformation xform, AnnotationNode anno, ClassNode cNode, PropertyNode pNode, Parameter namedArgsMap)
    Description copied from class: `PropertyHandler`
    Create a statement that will initialize the property including any defensive copying. Null if no statement should be added.
    Specified by:
      `createPropInit` in class `PropertyHandler`
    Parameters:
      `xform` - the transform being processed
      `anno` - the '@ImmutableBase' annotation node
      `cNode` - the classnode containing the property
      `pNode` - the property node to initialize
      `namedArgsMap` - an "args" Map if the property value should come from a named arg map or null if not